import { QueryTableSource } from "@yukawa/chain-base-angular-store";
import { FileInfo, FileInfoFilter, QueryResult } from "@yukawa/chain-base-angular-domain";
import { DocsManagementService } from "@yukawa/chain-docs-angular-core";
import { MatPaginator } from "@angular/material/paginator";
import { MatSort } from "@angular/material/sort";
import { Observable } from "rxjs";
export declare class FileInfoQueryStore extends QueryTableSource<FileInfoFilter, FileInfo> {
    protected service: DocsManagementService;
    protected paginator?: MatPaginator;
    protected sort?: MatSort;
    protected tableFilter?: FileInfoFilter;
    constructor(service: DocsManagementService, paginator?: MatPaginator, sort?: MatSort, tableFilter?: FileInfoFilter);
    protected queryTable(): Observable<QueryResult<FileInfo>>;
}
