import { EventEmitter, OnInit } from '@angular/core';
import { FileInfo } from "@yukawa/chain-base-angular-domain";
import { FileEvent } from "@yukawa/chain-docs-angular-core";
export declare class FileInfoComponent implements OnInit {
    value: FileInfo | any;
    directLink: string;
    isPrivate: boolean;
    groups: any[];
    action: EventEmitter<FileEvent>;
    constructor();
    ngOnInit(): void;
    toggleWriteGroups(group: string, eve: any): void;
    toggleReadGroups(group: string, eve: any): void;
    onAction(cmd: string, selected?: FileInfo | any): void;
    protected fireAction(action: FileEvent | any): void;
}
